﻿using Microsoft.Practices.Unity;
using Prism.Modularity;
using Prism.Regions;

namespace ModuleB
{
    public class ModuleB : IModule
    {
        private readonly IRegionManager _regionManager;
        private readonly IUnityContainer _container;

        public ModuleB(IRegionManager regionManager, IUnityContainer container)
        {
            this._regionManager = regionManager;
            this._container = container;
        }

        public void Initialize()
        {
            this.RegisterViews();
        }

        private void RegisterViews()
        {
            this._regionManager.RegisterViewWithRegion("ModuleB", typeof(ViewB));
            this._regionManager.RegisterViewWithRegion("ModuleB2", typeof(ViewB2));
            this._regionManager.RegisterViewWithRegion("DockingView", typeof(DockingView));
        }
    }
}
