﻿using System.Windows;
using Microsoft.Practices.Unity;
using Prism.Unity;
using Prism.Modularity;

namespace RadDockingAndPRISM
{
    public class Bootstrapper : UnityBootstrapper
    {
        protected override void InitializeShell()
        {
            base.InitializeShell();
            (this.Shell as Window).Show();
        }

        protected override DependencyObject CreateShell()
        {
            return this.Container.Resolve<Shell>();
        }

        protected override void ConfigureModuleCatalog()
        {
            base.ConfigureModuleCatalog();
            ModuleCatalog catalog = this.ModuleCatalog as ModuleCatalog;
            catalog.AddModule(typeof(ModuleB.ModuleB));
            catalog.AddModule(typeof(ModuleA.ModuleA));
            catalog.AddModule(typeof(FileServicesModule));
        }
    }
}
