﻿using Microsoft.Practices.ServiceLocation;
using Prism.Events;
using RadDockingAndPRISM.Events;
using System.ComponentModel.Composition;
using System.Windows;
using Telerik.Windows.Controls;

namespace RadDockingAndPRISM.Menu
{
    /// <summary>
    /// Interaction logic for ActivateViewB.xaml
    /// </summary>
    [Export]
    public partial class ActivateViewB : RadMenuItem
    {
        public ActivateViewB()
        {
            InitializeComponent();

            var aggregator = ServiceLocator.Current.GetInstance<IEventAggregator>();

            if (aggregator != null)
            {
                this.Aggregator = aggregator;
            }
        }

        [Import]
        public IEventAggregator Aggregator
        {
            get;
            set;
        }

        private void RadMenuItem_Checked(object sender, RoutedEventArgs e)
        {
            this.Aggregator.GetEvent<ActivateViewEvent>().Publish("ViewB");
        }
    }
}
